export enum SECTIONS_LIST {
  HOME = 'HOME',
  SETTINGS = 'SETTINGS',
}

export enum MODALS_LIST {
  TEST_MODAL = 'TEST_MODAL',
  TEST_MODAL_AUTH = 'TEST_MODAL_AUTH',
  TEST_MODAL_UNAUTH = 'TEST_MODAL_UNAUTH',
  TEST_MODAL_MIDDLEWARE = 'TEST_MODAL_MIDDLEWARE',
}

export enum PAGES_LIST {
  TEST_AUTH_LIST_INFO = 'TEST_AUTH_LIST_INFO',
  TEST_UNAUTH_STACK = 'TEST_UNAUTH_STACK',
  TEST_AUTH_STACK = 'TEST_AUTH_STACK',
  TEST_BOTTOM_TAB_PAGE_1 = 'TEST_BOTTOM_TAB_PAGE_1',
  TEST_BOTTOM_TAB_PAGE_2 = 'TEST_BOTTOM_TAB_PAGE_2',
  TEST_TOP_TAB_PAGE = 'TEST_TOP_TAB_PAGE',
  TEST_MIDDLEWARE_STACK = 'TEST_MIDDLEWARE_STACK',
  TEST_SERVICE_STACK = 'TEST_SERVICE_STACK',
  FULL_IMAGE_PAGE_PRIMARY = 'FULL_IMAGE_PAGE_PRIMARY',
  FULL_IMAGE_PAGE_SECONDARY = 'FULL_IMAGE_PAGE_SECONDARY',
  TEST_SEQUENCE_PAGE_1 = 'TEST_SEQUENCE_PAGE_1',
  TEST_SEQUENCE_PAGE_2 = 'TEST_SEQUENCE_PAGE_2',
  SETTINGS_PAGE = 'SETTINGS_PAGE',
  INSERT_PIN_PAGE = 'INSERT_PIN_PAGE',
}

enum STACKS {
  UNAUTHENTICATED_STACK = 'UNAUTHENTICATED_STACK',
  AUTHENTICATED_STACK = 'AUTHENTICATED_STACK',
  MIDDLEWARE_STACK = 'MIDDLEWARE_STACK',
}

export const DefaultStackPages: Record<STACKS, PAGES_LIST> = {
  UNAUTHENTICATED_STACK: PAGES_LIST.TEST_UNAUTH_STACK,
  AUTHENTICATED_STACK: PAGES_LIST.TEST_AUTH_STACK,
  MIDDLEWARE_STACK: PAGES_LIST.TEST_MIDDLEWARE_STACK,
};

export enum TOP_TAB_PAGES {
  DEFAULT = 'DEFAULT',
  TEST_TOP_TAB = 'TEST_TOP_TAB',
}

export enum SEQUENCES_LIST {
  TEST_SEQUENCE = 'TEST_SEQUENCE',
}

export enum IMAGE_PAGES {
  TEST_IMAGE_PAGE = 'TEST_IMAGE_PAGE',
}

export type PagesListT = typeof PAGES_LIST;
